Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008466 [DCSS] Bug Report minor have not tried 2014-04-29 15:54 2014-07-19 06:38
Reporter st View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.15 ancient branch
Summary 0008466: ( and [ glyphs have been broken in pitsprint
Description They are defined in the general_item_setup function which is used by a lot of subvaults. For some reason that doesn't seem to be working anymore and all the glyphs turn into stairs out of the dungeon.

Bonus bug report: the coloured doors are also no longer working.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0025965)
neil (administrator)
2014-04-29 17:40

I can't reproduce the first part of this. Here's a screenshot of steel_vault_2 in 0.15-a0-299-gb1d562d:

################################
#.==#.........................#.
#===##..........#.#..........##.
#[[[[#........##...##........#..
#[[[)##....###.......###....##..
#))))!#####....§........#####..#
#))!!!!#......EZ§#........+.....
#!!!!?.'..p....##.##......#.J.##
#!!??.Z#.........#........+.Js..
#!??..#####.....c.......#####.S#
#??.p##....###.......###....##..
#?...#........##...##........#.J
#...##..........#.#..........##.
#...#.........................#.
#++#############################
#++#############################
#..#.......##...................
#..#.......##...................
#..#.......##..###########+####.
#..#.......##..##.#.#.#.#.#.#.#.
#..+.......##..#.#.#.#.#.#.#.##.
(0025966)
neil (administrator)
2014-04-29 17:45
edited on: 2014-04-29 17:45

As for recolouring of doors, that was explicitly removed in 0.14-a0-3309-g8a5dc35. Perhaps it would be possible to allow vault recolouring without allowing blood splatters, but there's still the question of what to do with sealed doors (not in pitsprint necessarily, but in general when a vault recolours a door).

(0025972)
MarvinPA (developer)
2014-04-30 02:47

Oh hmm, yeah, allowing vault recolouring but not blood recolouring seems probably okay.
(0025977)
st (reporter)
2014-04-30 04:47

neil: I'm playing on cdo trunk, 0.15-a0-133-g953de00.

I didn't realise it was so old, I'll try testing on cszo.
(0025978)
st (reporter)
2014-04-30 05:09

Okay it is fine on cszo, sorry.
(0026777)
neil (administrator)
2014-07-19 06:38

The remaining issue (door colours) is fixed in trunk (0.15-a0-2162-g3ac6826).

- Issue History
Date Modified Username Field Change
2014-04-29 15:54 st New Issue
2014-04-29 17:40 neil Note Added: 0025965
2014-04-29 17:45 neil Note Added: 0025966
2014-04-29 17:45 neil Note Edited: 0025966
2014-04-30 02:47 MarvinPA Note Added: 0025972
2014-04-30 04:47 st Note Added: 0025977
2014-04-30 05:09 st Note Added: 0025978
2014-07-19 06:38 neil Note Added: 0026777
2014-07-19 06:38 neil Status new => resolved
2014-07-19 06:38 neil Fixed in Branch => 0.15 development branch
2014-07-19 06:38 neil Resolution open => done
2014-07-19 06:38 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker